MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000291SoldatGameplaypublic2012-12-28 21:012013-12-19 14:24
Reporterhomerofgods 
Assigned ToSpiltCoffee 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.6.3 
Target VersionFixed in Version1.6.7 
Summary0000291: Excessive /victory sound in survival DM/RM
DescriptionWhen there is one remaining player of a survival round it will automatically trigger /victory.
The feature is cool but it will trigger the sound even if the remaining player is unable to do the animation (mid-air or reloading).
Furthermore /victory will also be triggered when that remaining player is automatically killed to start the next round, wich is totally unnecessary.
Steps To Reproduce-Make a Deathmatch or Rambomatch survival game with some bots
-Kill all the bots
-/victory will be triggered even if you are in mid-air
-Wait to get killed for next round, you will then get /victory sound again
TagsNo tags attached.
Attached Files? file icon 2013-12-09_02-15-02_Leaf.sdm [^] (124,590 bytes) 2013-12-09 02:26

- Relationships

-  Notes
(0002067)
homerofgods (updater)
2013-12-09 02:25

Still happens in 1.6.6
*added demo (2013-12-09_02-15-02_Leaf)
(0002093)
SpiltCoffee (reporter)
2013-12-19 14:06

The animation itself is not actually fired in this case anyway. I will not fix that now as that is quite a large fix for functionality that would only be seen when standing still - and not even then, as players would be interrupting the animation from firing their guns most of the time.

The sound is simply played twice because it checks incorrectly whether the last player is dead or not. The fix I will apply will prevent the victory sound from playing the second time in DM and RM.

- Issue History
Date Modified Username Field Change
2012-12-28 21:01 homerofgods New Issue
2013-12-09 02:24 homerofgods Description Updated View Revisions
2013-12-09 02:24 homerofgods Steps to Reproduce Updated View Revisions
2013-12-09 02:24 homerofgods Additional Information Updated View Revisions
2013-12-09 02:25 homerofgods Note Added: 0002067
2013-12-09 02:26 homerofgods File Added: 2013-12-09_02-15-02_Leaf.sdm
2013-12-09 02:29 homerofgods Summary Excessive /victory in survival => Excessive /victory sound in survival
2013-12-09 08:49 SpiltCoffee Note Added: 0002068
2013-12-09 08:50 SpiltCoffee Assigned To => SpiltCoffee
2013-12-09 08:50 SpiltCoffee Status new => confirmed
2013-12-09 08:50 SpiltCoffee Assigned To SpiltCoffee =>
2013-12-09 09:07 SpiltCoffee Note Deleted: 0002068
2013-12-09 15:19 SpiltCoffee Assigned To => SpiltCoffee
2013-12-09 15:19 SpiltCoffee Status confirmed => assigned
2013-12-13 00:00 homerofgods Summary Excessive /victory sound in survival => Excessive /victory sound in survival DM/RM
2013-12-13 00:00 homerofgods Steps to Reproduce Updated View Revisions
2013-12-13 00:00 homerofgods Additional Information Updated View Revisions
2013-12-13 00:38 homerofgods Description Updated View Revisions
2013-12-13 00:38 homerofgods Steps to Reproduce Updated View Revisions
2013-12-19 14:06 SpiltCoffee Note Added: 0002093
2013-12-19 14:24 SpiltCoffee Status assigned => resolved
2013-12-19 14:24 SpiltCoffee Fixed in Version => 1.6.7
2013-12-19 14:24 SpiltCoffee Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker